version: 0.0
os: linux
files:
  - source: /
    destination: /var/www/credit/
hooks:
  ApplicationStop:
    - location: CodeDeploy/stop-server
      timeout: 300
      runas: root
  BeforeInstall:
    - location: CodeDeploy/install-dependencies
      timeout: 300
      runas: root
    - location: CodeDeploy/start-server
      timeout: 300
      runas: root
  AfterInstall:
    - location: CodeDeploy/after-install
      timeout: 300
      runas: root
    - location: CodeDeploy/set-permissions
      timeout: 300
      runas: root
  ApplicationStart:
    - location: CodeDeploy/application-start
      timeout: 300
      runas: root
  ValidateService:
    - location: CodeDeploy/validate-service
      timeout: 300
      runas: root